Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.jstl.sql
Interface Result

All Known Implementing Classes:
  ResultImpl

    public interface Result

This interface represents the result of a <sql:query> action. It provides access to the following information in the query result:

- The result rows (`getRows()` and `getRowsByIndex()`)
- The column names (`getColumnNames()`)
- The number of rows in the result (`getRowCount()`)
- An indication whether the rows returned represent the complete result or just a subset that is limited by a maximum row setting (`isLimitedByMaxRows()`)

An implementation of the `Result` interface provides a disconnected view into the result of a query.

Author:
  Justyna Horwat

Method Summary
`String[]` | `getColumnNames()` Returns the names of the columns in the result.
`int` | `getRowCount()` Returns the number of rows in the cached ResultSet
`SortedMap[]` | `getRows()` Returns the result of the query as an array of `SortedMap` objects.
`Object[][]` | `getRowsByIndex()` Returns the result of the query as an array of arrays.
`boolean` | `isLimitedByMaxRows()` Returns true if the query was limited by a maximum row setting

Method Detail

### getRows

    SortedMap[] getRows()

  Returns the result of the query as an array of `SortedMap` objects. Each item of the array represents a specific row in the query result.

  A row is structured as a `SortedMap` object where the key is the column name, and where the value is the value associated with the column identified by the key. The column value is an Object of the Java type corresponding to the mapping between column types and Java types defined by the JDBC specification when the `ResultSet.getObject()` method is used.

  The `SortedMap` must use the `Comparator` `java.util.String.CASE_INSENSITIVE_ORDER`. This makes it possible to access the key as a case insensitive representation of a column name. This method will therefore work regardless of the case of the column name returned by the database.

  Returns:
    The result rows as an array of `SortedMap` objects

### getRowsByIndex

    Object[][] getRowsByIndex()

  Returns the result of the query as an array of arrays. The first array dimension represents a specific row in the query result. The array elements for each row are Object instances of the Java type corresponding to the mapping between column types and Java types defined by the JDBC specification when the `ResultSet.getObject()` method is used.

  Returns:
    the result rows as an array of `Object[]` objects

### getColumnNames

    String[] getColumnNames()

  Returns the names of the columns in the result. The order of the names in the array matches the order in which columns are returned in method getRowsByIndex().

  Returns:
    the column names as an array of `String` objects

### getRowCount

    int getRowCount()

  Returns the number of rows in the cached ResultSet

  Returns:
    the number of rows in the result

### isLimitedByMaxRows

    boolean isLimitedByMaxRows()

  Returns true if the query was limited by a maximum row setting

  Returns:
    `true` if the query was limited by a maximum row setting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.